/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package jview;

import java.io.*;
import java.util.ArrayList;

/**
 *
 * @author Administrator
 */
public class Filesystem
{
   /**
     * 
     */
    public static String getFileContents(String path) throws IOException
    {
        String contents = "";
        
         FileInputStream fstream = new FileInputStream(path);
                    
         // Get the object of DataInputStream
         DataInputStream in = new DataInputStream(fstream);
         BufferedReader br = new BufferedReader(new InputStreamReader(in));
         String strLine;
                    
         //Read File
         while ((strLine = br.readLine()) != null)
            contents += strLine + "\n";
        
         //Close the input stream
         in.close();
         
         return contents;
    }
      
    public static ArrayList<String> getSourceFiles(String path)
    {
        ArrayList<String> files = new ArrayList<String>();

        File handler = new File(path);
        
        if (handler.isDirectory())
        {
            if (handler.listFiles() != null)
            {
                for (File file : handler.listFiles())
                    files.addAll(getSourceFiles(file.getAbsolutePath()));
            }
        }
        else
        {
            if (path.endsWith(".java"))
                files.add(path);
        }
        
        return files;
    }
}
