/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package jview;

import java.util.ArrayList;

/**
 *
 * @author Administrator
 */
public class JavaClass extends JavaEntity
{
    private ArrayList<String> implement;
    private boolean isFinal;
    private String parentClass;
    
    
    public JavaClass()
    {
        
        implement = new ArrayList<String>();
        isFinal = false;
        parentClass = "";
    }

    public JavaClass(boolean isFinal)
    {
        implement = new ArrayList<String>();
        this.isFinal = isFinal;
        parentClass = "";
    }

    public JavaClass(boolean isFinal, String parentClass)
    {
        implement = new ArrayList<String>();
        this.isFinal = isFinal;
        this.parentClass = parentClass;
    }

    public void JavaClass(){}

    public void addImplement(String i)
    {
        this.implement.add(i);
    }

    public ArrayList<String> getImplements()
    {
        return this.implement;
    }

    public String getImplementsAsString()
    {
        String i = "";

        for (String s: implement)
            i = i.concat(("[".concat(s)).concat("]"));

        return i;
    }

    public void setIsFinal(boolean isFinal)
    {
        this.isFinal = isFinal;
    }

    public boolean getIsFinal()
    {
        return isFinal;
    }

    public void setParentClass(String parentClass)
    {
        this.parentClass = parentClass;
    }

    public String getParentClass()
    {
        return parentClass;
    }

    @Override
    public void generateMoreRelations(ArrayList<JavaPackage> javaPackages)
    {
        //Extract parent class
        if(!this.parentClass.equals("")) //If there is a parent class
        {
            for (JavaPackage p : javaPackages)
            {
                if(p.hasEntityFullName(parentClass))
                {
                    this.addRelationTo(new Relation(parentClass, "Inheritance"));
                    break;
                }
            }
        }
        
        //Extract implements
        if(implement.size() > 0) //if there are implements
        {
            for (String i : implement)
            {
                loop : for (JavaPackage p : javaPackages)
                {
                    if(p.hasEntityFullName(i))
                    {
                        this.addRelationTo(new Relation(i, "Implementation"));
                        break loop;
                    }
                }
            }
        }
    }

    @Override
    public void fixMore(ArrayList<JavaPackage> javaPackages)
    {
        //Fix extends
        if (!this.parentClass.equals("") && !this.parentClass.contains("."))
            this.parentClass = this.findFullType(this.parentClass, javaPackages, false);

        //Fix implements
        for (int i = 0; i < this.implement.size(); i++)
        {
            if (implement.get(i).contains(".")) //Implement already in fulltype
                continue;

            implement.set(i, this.findFullType(implement.get(i), javaPackages, false));
        }
    }

    public void method1(String x){}
    public void method1(String x, JavaEntity e){}
    public void method2(String x){}
    public void method3(String x){}
    public void method4(String x){}
    public void method5(String x){}
    public void method6(String x){}

}

interface test
{
    class B
    {

        C d = new C();
        public void print(){};

        private java.util.HashMap <java.util.HashMap<String[], String[]>, JavaEntity>my;
        private int[]x;

        class C
        {
            class D
            {

            }
        }

    }

    public void a();
}

class MyClass
{
    Test2 x;
    int y = 10;
    JavaEntity z;

    java.util.HashMap <JavaEntity , String>t;

    public java.util.HashMap<JavaClass, String> set(java.util.HashMap<String, JavaProperty> m)
    {
        return null;
    }

    abstract class Test2
    {
        public void Test2Method()
        {
            
        }
    };

    public final void my()
    {
        System.out.println("omg");
    };

    public static void print2(){}

    void print(){}
}