/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package jview;

import java.util.ArrayList;
import java.util.Vector;

/**
 * An i methodos exei return type kai idio onoma me thn klash DEN EINAI RETURN TYPE
 * @author Administrator
 */
public class JavaMethod 
{
    private String name;
    private boolean isAbstract;
    private boolean isStatic;
    private boolean isFinal;
    private boolean isConstructor;
    private String returnType;
    private boolean returnTypeIsArray;
    private ArrayList<JavaArgument> arguments;
    private String code;

    JavaMethod()
    {
        arguments = new ArrayList<JavaArgument>();
        code = "";
        returnTypeIsArray = false;
    }
    
    public void setName(String name)
    {
        this.name = name;
    }
    
    public String getName()
    {
        return name;
    }

    public void setIsAbstract(boolean isAbstract)
    {
        this.isAbstract = isAbstract;
    }

    public boolean getIsAbstract()
    {
        return isAbstract;
    }

    public void setIsStatic(boolean isStatic)
    {
        this.isStatic = isStatic;
    }

    public boolean getIsStatic()
    {
        return isStatic;
    }

    public void setIsFinal(boolean isFinal)
    {
        this.isFinal = isFinal;
    }

    public boolean getIsFinal()
    {
        return isFinal;
    }

    public void setIsConstructor(boolean isConstructor)
    {
        this.isConstructor = isConstructor;
    }

    public boolean getIsConstructor()
    {
        return isConstructor;
    }

    public void setReturnType(String returnType)
    {
        this.returnType = returnType;
    }

    public String getReturnType()
    {
        return returnType;
    }

    public void setReturnTypeIsArray(boolean returnTypeIsArray)
    {
        this.returnTypeIsArray = returnTypeIsArray;
    }

    public boolean getReturnTypeIsArray()
    {
        return returnTypeIsArray;
    }

    public void addArgument(JavaArgument argument)
    {
        this.arguments.add(argument);
    }

    public ArrayList<JavaArgument> getArguments()
    {
        return arguments;
    }

    public void printArguments()
    {
        System.out.println("Arguments of method " + this.getName());
        for(JavaArgument ar: arguments)
            ar.print();
    }

    public void setCode(String code)
    {
        if(!code.equals(";"))
        {
            this.code = code;
        }


    }

    public String getCode()
    {
        return code;
    }

    public ArrayList<String> getInitializations()
    {
        ArrayList<String> inits = new ArrayList<String>();

        String[] x = code.split("\\s+");

        for (int i=0; i<x.length; i++)
        {
            if(x[i].contains("new") && i < x.length)
            {
                if(x[i+1].contains("("))
                    x[i+1] = x[i+1].substring(0, x[i+1].indexOf("("));

                if(x[i+1].contains("["))
                    x[i+1] = x[i+1].substring(0, x[i+1].indexOf("["));

                inits.add(x[i+1]);
            }
        }

        return inits;
    }

    public ArrayList<String> extractRelations(ArrayList<JavaPackage> packages)
    {
        ArrayList<String> s = new ArrayList<String>();

        for(JavaArgument ja: arguments)
        {
            loop: for(JavaPackage jp : packages)
            {
                if(jp.hasEntityFullName(ja.formattedType()))
                {
                    s.add(ja.formattedType());
                    break loop;
                }
            }
        }

        for(JavaPackage jp : packages)
        {
            if(jp.hasEntityFullName(this.formattedReturnType()))
            {
                s.add(this.formattedReturnType());
                break;
            }

        }

        return s;
    }

    public String formattedReturnType()
    {
        try
        {
            if(returnType.contains("<"))
                returnType = returnType.substring(returnType.indexOf("<") + 1, returnType.lastIndexOf(">"));
        }
        catch (Exception e)
        {
            this.print();
        }

        return returnType;
    }

    public String getArgumentTypesAsString()
    {
        String args = "";

        for (JavaArgument ar: arguments)
            args = args.concat(("[".concat(ar.getType())).concat("]"));

        return args;
    }

    public void print()
    {
        if(isConstructor)
            System.out.println("CONSTRUCTOR : " + name);
        else
            System.out.println("METHOD : " + name);
        
        System.out.println("-------------------------------");
        System.out.println("Returns : " + returnType + ", " + "abstract : " + isAbstract);
        this.printArguments();
        System.out.println("-------------------------------");
    }

    
}
