/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package jview;

import java.util.ArrayList;

/**
 *
 * @author Lou
 */
public class ParserUtil
{
    public static ArrayList<String> splitBlocks(String code)
    {
         ArrayList<String> blocks = new ArrayList<String>();
         String part = "";
         int flag = 0; //moustakia
         int flag2 = 0; //parentheseis

         int code_length = code.length();
         
         for(int i = 0; i < code_length; i++)
         {
             char c = code.charAt(i);
             part += c;
             switch(c)
             {
                 case '{' :
                     flag++;
                     
                     break;
                     
                 case '}' :
                     flag--;
                     
                     if(flag == 0 && flag2 == 0)
                     {
                         part = part.trim();
                         blocks.add(part);
                         part = "";
                     }
                     
                     break;
                     
                 case ';' :
                     if(flag == 0  && flag2 == 0)
                     {
                         part = part.trim();
                         if(!part.equals(";"))
                         {
                             blocks.add(part);
                         }
                         part = "";
                     }
                     
                     break;

                  case '(' :
                     flag2++;

                     break;

                 case ')' :
                     flag2--;

                     break;
                     
             }
             
         }
/*         ArrayList<String> moreblocks = new ArrayList<String>();
         for(String codeblocks: blocks)
         {
             ArrayList<String> tmp = splitBlocks(codeblocks);
             for(String tempcode: tmp)
             {
                 moreblocks.add(tempcode);
             }
         }
         
         for(String more: moreblocks)
         {
             System.out.println("aaaaaaaaaaaaaaaaaaaaa = " + more);
             System.out.println("-------------------------------------");
         }*/
         return blocks;
    }
    
    public static String getLastToken(String original)
    {
        String[] tokens = original.split("\\s+");
        return tokens[tokens.length - 1];
    }

    public static boolean isLastToken(String original, String target)
    {
        String[] tokens = original.split("\\s+");

        return (tokens[tokens.length - 1].equals(target));
    }

    public static String getNextTargetToken(String original, String target)
    {
        String nextToken = "";
        String[] tokens = original.split("\\s+");
        
        for(int i = 0; i < tokens.length - 1; i++)
            if (tokens[i].equals(target))
                return tokens[i+1];
        
        return nextToken;
    }

    public static String getPreviousTargetToken(String original, String target)
    {
        String previousToken = "";
        String[] tokens = original.split("\\s+");

        for(int i = 1; i < tokens.length; i++)
            if(tokens[i].equals(target))
            {
                if(tokens[i-1].endsWith(">") && !tokens[i-1].contains("<"))
                {
                    System.out.println("*****" + tokens[i-2].concat(tokens[i-1]));
                    return tokens[i-2].concat(tokens[i-1]);
                }
                else return tokens[i-1];
            }
                

        return previousToken;
    }

    public static int countLoc(String code)
    {
        int count = 0;
        String text = "";

        int code_length = code.length();

        for(int i = 0; i < code_length; i++)
        {
            if(code.charAt(i) != '\n')
            {
                if(i == code_length - 1)
                    count++;
                
                text += code.charAt(i);
            }
            else
            {
                if(text.trim().length() > 0)
                    count++;
                
                text = "";
            }

        }

        return count;
    }
    
    /**
     * Prepares the code (removes comments and strings), so it can be used to extract information
     * 
     * @param code the code to prepare
     * @return the prepared code
     */
    public static String prepareCode(String code)
    {
        //System.out.println("Cleaning code (remove comments and Strings)...");

        int in_comment = 0; //An o parser brisketai mesa se comment. 0 = oxi, 1 = single line, 2 = multi line
        int in_string = 0; //An brisketai mesa se String
        int in_character = 0; //An brisketai mesa se char
        int in_escape = 0; //An o previous char einai escape char
        int in_annotation = 0;
        boolean no_add = false;
        
        int code_length = code.length();
        if (code_length < 2)
            return code;
        
        String ret = "";
        ret += code.charAt(0);
        char previous = code.charAt(0);
        
        for (int i = 1; i < code_length; i++)
        {
            switch (code.charAt(i))
            {
                case '/':
                    if (in_escape == 0 && in_character == 0 && in_string == 0 && in_annotation == 0)
                    {
                        if (in_comment == 0 && previous == '/')
                        {
                            in_comment = 1;
                            ret = ret.substring(0, ret.length() - 1);
                        }
                        else
                        if (in_comment == 2 && previous == '*')
                        {
                            in_comment = 0;
                            no_add = true;
                        }
                    }
                    
                    in_escape = 0;
                        
                    break;
                    
                case '*':
                    if (in_escape == 0 && in_character == 0 && in_string == 0 && in_annotation == 0)
                    {
                        if (in_comment == 0 && previous == '/')
                        {
                            in_comment = 2;
                            ret = ret.substring(0, ret.length() - 1);
                        }
                    }
                    
                    in_escape = 0;
                    
                    break;
                    
                case '\n':
                    if (in_comment == 1)
                        in_comment = 0;

                    if (in_annotation == 1)
                    {
                        no_add = false;
                        in_annotation = 0;
                    }
                    
                    in_escape = 0;
                    
                    break;
                
                case '"':
                    if (in_comment == 0 && in_character == 0 && in_escape == 0 && in_annotation == 0)
                    {
                        if (in_string == 0)
                            in_string = 1;
                        else
                        {
                            in_string = 0;
                            no_add = true;
                        }
                    }
                    
                    in_escape = 0;
                    
                    break;
                
                case '\\':
                    if (in_comment == 0)
                    {
                        if (in_escape == 0)
                            in_escape = 1;
                        else
                            in_escape = 0;
                    }
                    
/*GT BAZO KSANA ESCAPE = 0 LOL*/                    //in_escape = 0;
                    
                    break;
               
                case '\'':
                    if (in_comment == 0 && in_string == 0 && in_escape == 0 && in_annotation == 0)
                    {
                        if (in_character == 0)
                            in_character = 1;
                        else
                        {
                            in_character = 0;
                            no_add = true;
                        }
                    }
                    
                    in_escape = 0;
                    
                    break;

                case '@':
                    if (in_comment == 0 && in_string == 0 && in_escape == 0)
                    {
                        in_annotation = 1;
                        no_add = true;
                    }

                    break;

                case '(':
                    if(in_annotation > 0)
                        in_annotation++;

                    break;

                case ')':
                    if(in_annotation > 0)
                        in_annotation--;

                    if(in_annotation == 1)
                    {
                        no_add = true;
                        in_annotation = 0;
                    }

                    break;
                    
                default:
                    in_escape = 0;
            }
            
            if (in_character == 0 && in_string == 0 && in_comment == 0 && in_annotation == 0 && no_add == false)
                ret += code.charAt(i);
            
            no_add = false;
            
            previous = code.charAt(i);
        }
        
        return ret;
    }
    
    
    public static ArrayList<String> separateLines(String code)
    {
        ArrayList<String> lines = new ArrayList<String>();

        String text = "";
        int code_length = code.length();

        for(int i = 0; i<code_length; i++)
        {
            switch(code.charAt(i))
            {
                case ';' :
                    lines.add(text);
                    text = "";

                    break;

                case '{' :
                    lines.add(text);
                    text = "";

                    break;

                case '}' :
                    lines.add(text);
                    text = "";

                    break;

                default:
                    text += code.charAt(i);
            }
        }

        return lines;
    }

    public static ArrayList<String> splitArguments(String code)
    {
        code = code.trim();
        ArrayList<String> blocks = new ArrayList<String>();
        if (code.length() == 0)
             return blocks;

         String part = "";
         int flag = 0;

         int code_length = code.length();

         for(int i = 0; i < code_length; i++)
         {
             switch(code.charAt(i))
             {
                 case '<' :
                     part += code.charAt(i);
                     flag++;

                     break;

                 case '>' :
                     part += code.charAt(i);
                     flag--;

                     break;

                 case ',' :
                     if(flag == 0)
                     {
                         part = part.trim();
                         
                         blocks.add(part);
                         
                         part = "";
                     }
                     else
                         part += code.charAt(i);
                     

                     break;
                     
                 default:
                     part += code.charAt(i);

             }

         }

         blocks.add(part.trim());

         return blocks;
    }
}
